"Syntax error" when upgrading from ZDML7 SP1 on Linux

  • 3134576
  • 23-May-2007
  • 30-Apr-2012

Environment

Novell ZENworks 7 Desktop Management on Linux Support Pack 1 - ZDML7 SP1

Situation

Whilst applying a patch upgrade to a Linux server running ZDML7SP1, the following messages are seen:
var/tmp/rpm-tmp.66907: line 31: syntax error near unexpected token `(' /var/tmp/rpm-tmp.66907: line 31: ` for LIBPATH in (/usr/lib/nds-modules /usr/lib /opt/novell/eDirectory/lib/nds-modules)' error: %postun(novell-zenworks-zmgservices-dhost-7.0.1-0) scriptlet failed, exit status 2

Resolution

Fixed in ZENworks 7 Desktop Management Service Pack 1 Interim Release 3a, see KB 3484245 "Updates to Novell ZENworks 7 Desktop Management" which can be found at https://www.novell.com/support

Additional Information

The problem is cosmetic, and lies in the uininstall of the SP1 module. Because of that, the message will still be seen when applying the fix, although it will not be seen for subsequent upgrades.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.